{
    "name": "@typemon/types",
    "version": "2.3.0",
    "description": "Useful types, interfaces and utilities",
    "main": "dist/index.js",
    "scripts": {
        "test": "ts-node --project ./tsconfig.spec.json ./test.ts",
        "clean": "rimraf ./*.tgz ./dist",
        "lint": "tslint -p ./tsconfig.compile.json",
        "precompile": "npm run clean && npm run lint",
        "compile": "tsc -p ./tsconfig.compile.json",
        "prepublishOnly": "npm run compile",
        "postpublish": "npm run clean"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/monster-space-network/typemon/types.git"
    },
    "keywords": [
        "monster-space-network",
        "typemon",
        "types",
        "type",
        "interfaces",
        "interface",
        "util",
        "utility",
        "utilities",
        "is",
        "is-not"
    ],
    "author": {
        "email": "monsterspace.network@gmail.com",
        "name": "Monster Space Network",
        "url": "https://monsterspace.network"
    },
    "license": "MIT",
    "peerDependencies": {},
    "dependencies": {},
    "devDependencies": {
        "@typemon/lint-rules": "^1.0.1",
        "@types/node": "^11.13.0",
        "rimraf": "^2.6.3",
        "ts-node": "^8.0.3",
        "tslint": "^5.15.0",
        "typescript": "^3.4.1"
    }
}
